Name:           hf
Version:        0.8
Release:        2%{?dist}
Summary:        Amateur-radio protocol suite using a soundcard as a modem

Group:          Applications/Communications
License:        GPLv2+
URL:            http://hfterm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#make sure configuration files are in proper locations
Patch0:         %{name}-%{version}-configfilepath.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk+-devel, ncurses-devel
#Requires:       

%description
hf is a soundcard digimode program which can monitor and transmit
PACTOR I, AMTOR, GTOR and RTTY. It is based on hfkernel by Tom Sailer,
with a gtk+ graphical interface, spectrum display, logbook and textmacros.

%prep
%setup -q
%patch0 -p1

# Fix the encoding on the man pages to be UTF-8
recode()
{
	iconv -f "$2" -t utf-8 < "$1" > "${1}_"
	mv -f "${1}_" "$1"
}
for f in `find doc/man -name *.1`
 do recode $f iso-8859-15
done

#fix permissions, for debuginfo package
chmod 0644 hfkernel/mt63/sound.h
chmod 0644 hfkernel/mt63/sound.cc

%build
%configure
#doesn't build with optimized settings, queried upstream
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#don't include these twice
rm -f $RPM_BUILD_ROOT%{_datadir}/hf/{AUTHORS,ChangeLog,INSTALL,LIESMICH,README}

#Fix permissions for binary files
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/* 
#this is crack I know, I have complained upstream
chmod 0755 $RPM_BUILD_ROOT%{_sysconfdir}/hf/*

#install translated man pages into proper location
mv $RPM_BUILD_ROOT%{_mandir}/de.* $RPM_BUILD_ROOT%{_mandir}/de/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/hf/
%config(noreplace) %{_sysconfdir}/hf/calibrations
%{_mandir}/man?/*
%{_mandir}/de/man?/*


%changelog
* Sun Dec 09 2007 Sindre Pedersen Bjørdal - 0.8-2
- Fix character encodings for man files
- Install translated man files to proper path
- Put configuration file in sysconfdir, it's executable for now, queried upstream

* Mon Nov 19 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.8-1
- Initial build
